%define major	0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:		airspy
Summary:	An advanced Software Defined Radio project
Version:	1.0.10
Release:	%mkrel 4
# License for tools is GPL, libraries are MIT/BSD
License:	GPLv2+ and MIT and BSD
Group:		Communications/Radio
URL:		https://airspy.com/
Source0:	https://github.com/%{name}/host/archive/v%{version}/host-%{version}.tar.gz
Patch:		airspy-1.0.8-mga-udev.rules.patch
Patch1:		bd15be38e91ebaa3e0bebb1e320255bde4ccf059.patch
Patch2:		airspy_cmake_minimum_version.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(libusb)

%description
Host software for AirSpy, a project to produce a low cost, open source software
radio platform.

%package -n %{libname}
Summary:	Library files for airspy
Requires:	%{name} = %{version}-%{release} 

%description -n %{libname}
Host software for AirSpy, a project to produce a low cost, open source software
radio platform. This package provides the dynamic library files.

%package -n %{devname}
Summary:	Development files for airspy
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Host software for AirSpy, a project to produce a low cost, open source software
radio platform. This package provides development files.

%prep
%setup -q -n airspyone_host-%{version}
%autopatch -p1

%build
%cmake -DINSTALL_UDEV_RULES=ON
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_udevrulesdir}
mv %{buildroot}%{_sysconfdir}/udev/rules.d/52-%{name}.rules %{buildroot}%{_udevrulesdir}/52-%{name}.rules

find %{buildroot} -name "*.a" -delete

%files
%{_udevrulesdir}/52-%{name}.rules
%{_bindir}/%{name}_*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{devname}
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/lib%{name}.so
%{_includedir}/lib%{name}/*.h


%changelog
* Thu Jul 10 2025 mrambo3501 <mrambo3501> 1.0.10-4.mga10
+ Revision: 2252586
- add cmake4 patch

* Wed May 07 2025 ns80 <ns80> 1.0.10-3.mga10
+ Revision: 2181770
- add upstream patch to try to fix building with GCC 15

* Fri Mar 25 2022 umeabot <umeabot> 1.0.10-2.mga9
+ Revision: 1826998
- Mageia 9 Mass Rebuild

* Wed Apr 28 2021 barjac <barjac> 1.0.10-1.mga9
+ Revision: 1720356
- new version 1.0.10

* Wed Feb 12 2020 umeabot <umeabot> 1.0.9-3.mga8
+ Revision: 1508426
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Sep 21 2018 umeabot <umeabot> 1.0.9-2.mga7
+ Revision: 1294232
- Mageia 7 Mass Rebuild

* Wed Sep 28 2016 barjac <barjac> 1.0.9-1.mga6
+ Revision: 1057484
- new release 1.0.9
- fix source0 so sync -d really works
- use %%make_install -C build

* Fri Jul 15 2016 barjac <barjac> 1.0.8-2.mga6
+ Revision: 1042175
- Fix for Mga#18948 (airspy specified group plugdev unknown

* Mon Apr 25 2016 barjac <barjac> 1.0.8-1.mga6
+ Revision: 1006086
- new version 1.0.8
- fix source0
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 09 2015 barjac <barjac> 1.0.7-1.mga6
+ Revision: 909205
- new version 1.0.7
- removed path hack fixed upstream

* Wed Aug 26 2015 barjac <barjac> 1.0.6-1.mga6
+ Revision: 870052
- new version 1.0.6

* Thu Jan 15 2015 barjac <barjac> 1.0.3-1.mga5
+ Revision: 810881
- Import new package based on suse/fedora spec with thanks

